Package com.smartgwt.logicalstructure.widgets.drawing

# Class DrawImageLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.drawing.DrawItemLogicalStructure
com.smartgwt.logicalstructure.widgets.drawing.DrawImageLogicalStructure

public class DrawImageLogicalStructure extends DrawItemLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `height`
  `String`
  `left`
  `String`
  `src`
  `String`
  `title`
  `String`
  `top`
  `String`
  `useMatrixFilter`
  `String`
  `width`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.drawing.DrawItemLogicalStructure

  `canDrag, canHover, contextMenu, cursor, destroyed, destroying, dragStartDistance, drawGroup, drawPaneAsDrawPane, drawPaneAsString, editProxyConstructor, endArrow, eventOpaque, fillColor, fillGradientAsGradient, fillGradientAsString, hoverDelay, knobs, lineCap, lineColor, linePattern, lineWidth, moveKnobOffset, moveKnobPoint, prompt, proportionalResizeModifiers, proportionalResizing, resizeKnobPoints, resizeViaLocalTransformOnly, scale, shadow, showHover, showResizeOutline, showTitleLabelBackground, startArrow, titleAutoFit, titleAutoFitMargin, titleAutoFitRotationMode, titleLabelPadding, titleRotationMode, translate, useSimpleTransform, xShearFactor, yShearFactor, zIndex`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DrawImageLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### height

    public String height

  - ### left

    public String left

  - ### src

    public String src

  - ### title

    public String title

  - ### top

    public String top

  - ### useMatrixFilter

    public String useMatrixFilter

  - ### width

    public String width

- ## Constructor Details

  - ### DrawImageLogicalStructure

    public DrawImageLogicalStructure()